import { memo } from 'react';
import type { FC, ReactNode } from 'react';

import resets from '../../_resets.module.css';
import classes from './Bill.module.css';
import { UnionIcon } from './UnionIcon.js';
import { VectorStrokeIcon2 } from './VectorStrokeIcon2.js';
import { VectorStrokeIcon3 } from './VectorStrokeIcon3.js';
import { VectorStrokeIcon } from './VectorStrokeIcon.js';

interface Props {
  className?: string;
  swap?: {
    union?: ReactNode;
  };
}
/* @figmaId 5404:5814 */
export const Bill: FC<Props> = memo(function Bill(props = {}) {
  return (
    <div className={`${resets.storybrainResets} ${classes.root}`}>
      <div className={classes.rectangle3}></div>
      <div className={classes.union}>{props.swap?.union || <UnionIcon className={classes.icon} />}</div>
      <div className={classes.vectorStroke}>
        <VectorStrokeIcon className={classes.icon2} />
      </div>
      <div className={classes.vectorStroke2}>
        <VectorStrokeIcon2 className={classes.icon3} />
      </div>
      <div className={classes.vectorStroke3}>
        <VectorStrokeIcon3 className={classes.icon4} />
      </div>
    </div>
  );
});
