import { memo } from 'react';
import type { FC, ReactNode } from 'react';

import resets from '../../_resets.module.css';
import { IconBasicDropdownChevronDown } from '../IconBasicDropdownChevronDown/IconBasicDropdownChevronDown';
import classes from './Button_Property1SecondarybtnPr.module.css';

interface Props {
  className?: string;
  classes?: {
    iconBasicDropdownChevronDown?: string;
    root?: string;
  };
  swap?: {
    iconBackStroke?: ReactNode;
  };
  hide?: {
    iconBasicDropdownChevronDown?: boolean;
  };
  text?: {
    Label?: ReactNode;
  };
}
/* @figmaId 5415:8096 */
export const Button_Property1SecondarybtnPr: FC<Props> = memo(function Button_Property1SecondarybtnPr(props = {}) {
  return (
    <button
      className={`${resets.storybrainResets} ${props.classes?.root || ''} ${props.className || ''} ${classes.root}`}
    >
      {props.text?.Label != null ? props.text?.Label : <div className={classes.Label}>Button</div>}
      {props.hide?.iconBasicDropdownChevronDown === false && (
        <IconBasicDropdownChevronDown
          className={props.classes?.iconBasicDropdownChevronDown || ''}
          swap={{
            iconBackStroke: props.swap?.iconBackStroke,
          }}
        />
      )}
    </button>
  );
});
