import { memo } from "react";
import type { FC, ReactNode } from "react";

import resets from "../../_resets.module.css";
import { Frame6 } from "../Frame6/Frame6";
import classes from "./Frame427319471.module.css";
import { VectorIcon } from "./VectorIcon.js";

interface Props {
  className?: string;
  swap?: {
    vector?: ReactNode;
    frame?: ReactNode;
  };
  text?: {
    Unnamed?: ReactNode;
  };
}
/* @figmaId 5524:24104 */
export const Frame427319471: FC<Props> = memo(function Frame427319471(
  props = {}
) {
  return (
    <div className={`${resets.storybrainResets} ${classes.root}`}>
      <div className={classes.frame427319470}>
        {props.swap?.frame || (
          <Frame6
            className={classes.frame}
            classes={{ vector: classes.vector }}
            swap={{
              vector: props.swap?.vector || (
                <VectorIcon className={classes.icon} />
              ),
            }}
          />
        )}
      </div>
      {props.text?.unnamed != null ? (
        props.text?.unnamed
      ) : (
        <div className={classes.unnamed}>项目商机登记表</div>
      )}
    </div>
  );
});
