import { memo } from "react";
import type { FC } from "react";

import resets from "../../_resets.module.css";
import { _Mini } from "../_Mini/_Mini";
import { Frame } from "../Frame/Frame";
import classes from "./Frame427319527.module.css";
import { VectorIcon } from "./VectorIcon.js";

interface Props {
  className?: string;
  classes?: {
    root?: string;
  };
}
/* @figmaId 5532:26298 */
export const Frame427319527: FC<Props> = memo(function Frame427319527(
  props = {}
) {
  return (
    <div
      className={`${resets.storybrainResets} ${props.classes?.root || ""} ${
        props.className || ""
      } ${classes.root}`}
    >
      <div className={classes.frame427319528}>
        <div className={classes.frame427319525}>
          <Frame
            classes={{ vector: classes.vector }}
            swap={{
              vector: <VectorIcon className={classes.icon} />,
            }}
          />
          <div className={classes._2022}>2022年标准化考点建设</div>
          <div className={classes.frame427319529}>
            <_Mini
              text={{
                Unnamed: <div className={classes.unnamed}>合同签订阶段</div>,
              }}
            />
            <_Mini
              text={{
                Unnamed: <div className={classes.unnamed2}>A级</div>,
              }}
            />
            <_Mini
              text={{
                Unnamed: <div className={classes.unnamed3}>优秀项目</div>,
              }}
            />
          </div>
        </div>
        <div className={classes.frame427319526}>
          <div className={classes._2}>
            <div className={classes.unnamed4}>合同总金额(万元)：</div>
            <div className={classes._33036170}>3303.6170</div>
          </div>
          <div className={classes._22}>
            <div className={classes.unnamed5}>项目毛利率：</div>
            <div className={classes._100}>10.00%</div>
          </div>
        </div>
      </div>
      <div className={classes.frame427319498}>
        <div className={classes._23}>
          <div className={classes.unnamed6}>项目单位：</div>
          <div className={classes.unnamed7}>仪电鑫森</div>
        </div>
        <div className={classes._24}>
          <div className={classes.unnamed8}>商机板块：</div>
          <div className={classes.unnamed9}>智慧教卫</div>
        </div>
        <div className={classes._25}>
          <div className={classes.unnamed10}>招标公告发布的实际日期：</div>
          <div className={classes._202331}>2023-03-01</div>
        </div>
        <div className={classes.frame427319503}>
          <div className={classes._26}>
            <div className={classes.unnamed11}>招标文件中要求的投标日期：</div>
            <div className={classes._2023315}>2023-03-15</div>
          </div>
        </div>
      </div>
    </div>
  );
});
