import { memo } from 'react';
import type { FC, ReactNode } from 'react';

import resets from '../../_resets.module.css';
import classes from './Frame5.module.css';
import { VectorStrokeIcon2 } from './VectorStrokeIcon2.js';
import { VectorStrokeIcon3 } from './VectorStrokeIcon3.js';
import { VectorStrokeIcon4 } from './VectorStrokeIcon4.js';
import { VectorStrokeIcon5 } from './VectorStrokeIcon5.js';
import { VectorStrokeIcon6 } from './VectorStrokeIcon6.js';
import { VectorStrokeIcon7 } from './VectorStrokeIcon7.js';
import { VectorStrokeIcon8 } from './VectorStrokeIcon8.js';
import { VectorStrokeIcon } from './VectorStrokeIcon.js';

interface Props {
  className?: string;
  classes?: {
    root?: string;
  };
  swap?: {
    vectorStroke?: ReactNode;
    vectorStroke2?: ReactNode;
    vectorStroke3?: ReactNode;
    vectorStroke4?: ReactNode;
    vectorStroke5?: ReactNode;
    vectorStroke6?: ReactNode;
    vectorStroke7?: ReactNode;
    vectorStroke8?: ReactNode;
  };
}
/* @figmaId 5403:962 */
export const Frame5: FC<Props> = memo(function Frame5(props = {}) {
  return (
    <div className={`${resets.storybrainResets} ${props.classes?.root || ''} ${props.className || ''} ${classes.root}`}>
      <div className={classes.vectorStroke}>
        {props.swap?.vectorStroke || <VectorStrokeIcon className={classes.icon} />}
      </div>
      <div className={classes.vectorStroke2}>
        {props.swap?.vectorStroke2 || <VectorStrokeIcon2 className={classes.icon2} />}
      </div>
      <div className={classes.vectorStroke3}>
        {props.swap?.vectorStroke3 || <VectorStrokeIcon3 className={classes.icon3} />}
      </div>
      <div className={classes.vectorStroke4}>
        {props.swap?.vectorStroke4 || <VectorStrokeIcon4 className={classes.icon4} />}
      </div>
      <div className={classes.vectorStroke5}>
        {props.swap?.vectorStroke5 || <VectorStrokeIcon5 className={classes.icon5} />}
      </div>
      <div className={classes.vectorStroke6}>
        {props.swap?.vectorStroke6 || <VectorStrokeIcon6 className={classes.icon6} />}
      </div>
      <div className={classes.vectorStroke7}>
        {props.swap?.vectorStroke7 || <VectorStrokeIcon7 className={classes.icon7} />}
      </div>
      <div className={classes.vectorStroke8}>
        {props.swap?.vectorStroke8 || <VectorStrokeIcon8 className={classes.icon8} />}
      </div>
    </div>
  );
});
