import { memo } from 'react';
import type { FC, ReactNode } from 'react';

import resets from '../../_resets.module.css';
import { Group761Icon } from './Group761Icon.js';
import classes from './Group1085.module.css';
import { PdfIcon } from './PdfIcon.js';

interface Props {
  className?: string;
  classes?: {
    group761?: string;
    root?: string;
  };
  swap?: {
    group761?: ReactNode;
    pDF?: ReactNode;
  };
}
/* @figmaId 5527:24518 */
export const Group1085: FC<Props> = memo(function Group1085(props = {}) {
  return (
    <div className={`${resets.storybrainResets} ${props.classes?.root || ''} ${props.className || ''} ${classes.root}`}>
      <div className={`${props.classes?.group761 || ''} ${classes.group761}`}>
        {props.swap?.group761 || <Group761Icon className={classes.icon} />}
      </div>
      <div className={classes.pDF}>{props.swap?.pDF || <PdfIcon className={classes.icon2} />}</div>
    </div>
  );
});
