import { memo } from 'react';
import type { FC, ReactNode } from 'react';

import resets from '../../_resets.module.css';
import classes from './HomeTwo.module.css';
import { UnionIcon2 } from './UnionIcon2.js';
import { UnionIcon } from './UnionIcon.js';

interface Props {
  className?: string;
  classes?: {
    union?: string;
    root?: string;
  };
  swap?: {
    union?: ReactNode;
    union2?: ReactNode;
  };
}
/* @figmaId 5407:6925 */
export const HomeTwo: FC<Props> = memo(function HomeTwo(props = {}) {
  return (
    <div className={`${resets.storybrainResets} ${props.classes?.root || ''} ${props.className || ''} ${classes.root}`}>
      <div className={`${props.classes?.union || ''} ${classes.union}`}>
        {props.swap?.union || <UnionIcon className={classes.icon} />}
      </div>
      <div className={classes.union2}>{props.swap?.union2 || <UnionIcon2 className={classes.icon2} />}</div>
    </div>
  );
});
