import { memo } from 'react';
import type { FC, ReactNode } from 'react';

import resets from '../../_resets.module.css';
import { IconBackStrokeIcon } from './IconBackStrokeIcon.js';
import classes from './IconBasicDropdownChevronDown.module.css';

interface Props {
  className?: string;
  classes?: {
    root?: string;
  };
  swap?: {
    iconBackStroke?: ReactNode;
  };
}
/* @figmaId 5415:8306 */
export const IconBasicDropdownChevronDown: FC<Props> = memo(function IconBasicDropdownChevronDown(props = {}) {
  return (
    <div className={`${resets.storybrainResets} ${props.classes?.root || ''} ${props.className || ''} ${classes.root}`}>
      <div className={classes.iconBackStroke}>
        {props.swap?.iconBackStroke || <IconBackStrokeIcon className={classes.icon} />}
      </div>
    </div>
  );
});
