import { memo } from 'react';
import type { FC, ReactNode } from 'react';

import resets from '../../_resets.module.css';
import { AreaIcon } from './AreaIcon.js';
import classes from './LineGraph2.module.css';
import { LineIcon } from './LineIcon.js';

interface Props {
  className?: string;
  classes?: {
    root?: string;
  };
  swap?: {
    area?: ReactNode;
    line?: ReactNode;
  };
}
/* @figmaId 5407:5323 */
export const LineGraph2: FC<Props> = memo(function LineGraph2(props = {}) {
  return (
    <div className={`${resets.storybrainResets} ${props.classes?.root || ''} ${props.className || ''} ${classes.root}`}>
      <div className={classes.area}>{props.swap?.area || <AreaIcon className={classes.icon} />}</div>
      <div className={classes.line}>{props.swap?.line || <LineIcon className={classes.icon2} />}</div>
    </div>
  );
});
