import { memo } from 'react';
import type { FC, ReactNode } from 'react';

import resets from '../../_resets.module.css';
import classes from './NinePointsConnected.module.css';
import { UnionIcon2 } from './UnionIcon2.js';
import { UnionIcon } from './UnionIcon.js';

interface Props {
  className?: string;
  swap?: {
    union?: ReactNode;
    union2?: ReactNode;
  };
}
/* @figmaId 5404:5401 */
export const NinePointsConnected: FC<Props> = memo(function NinePointsConnected(props = {}) {
  return (
    <div className={`${resets.storybrainResets} ${classes.root}`}>
      <div className={classes.union}>{props.swap?.union || <UnionIcon className={classes.icon} />}</div>
      <div className={classes.union2}>{props.swap?.union2 || <UnionIcon2 className={classes.icon2} />}</div>
    </div>
  );
});
