import { memo } from "react";
import type { FC, ReactNode } from "react";

import resets from "../../_resets.module.css";
import classes from "./Right.module.css";
import { VectorStrokeIcon } from "./VectorStrokeIcon.js";

interface Props {
  className?: string;
  classes?: {
    root?: string;
  };
  swap?: {
    vectorStroke?: ReactNode;
  };
}
/* @figmaId 5403:2769 */
export const Right: FC<Props> = memo(function Right(props = {}) {
  return (
    <div
      className={`${resets.storybrainResets} ${props.classes?.root || ""} ${
        props.className || ""
      } ${classes.root}`}
    >
      <div className={classes.vectorStroke}>
        {props.swap?.vectorStroke || (
          <VectorStrokeIcon className={classes.icon} />
        )}
      </div>
    </div>
  );
});
