import { memo } from 'react';
import type { FC, ReactNode } from 'react';

import resets from '../../_resets.module.css';
import classes from './UpOne1.module.css';
import { VectorIcon } from './VectorIcon.js';
import { VectorStrokeIcon } from './VectorStrokeIcon.js';

interface Props {
  className?: string;
  classes?: {
    root?: string;
  };
  swap?: {
    vector?: ReactNode;
    vectorStroke?: ReactNode;
  };
}
/* @figmaId 5403:2780 */
export const UpOne1: FC<Props> = memo(function UpOne1(props = {}) {
  return (
    <div className={`${resets.storybrainResets} ${props.classes?.root || ''} ${props.className || ''} ${classes.root}`}>
      <div className={classes.vector}>{props.swap?.vector || <VectorIcon className={classes.icon} />}</div>
      <div className={classes.vectorStroke}>
        {props.swap?.vectorStroke || <VectorStrokeIcon className={classes.icon2} />}
      </div>
    </div>
  );
});
