import { memo } from "react";
import type { FC, ReactNode } from "react";

import resets from "../../_resets.module.css";
import classes from "./_4.module.css";
import { Icon2 } from "./Icon2.js";
import { Icon3 } from "./Icon3.js";
import { Icon } from "./Icon.js";

interface Props {
  className?: string;
  classes?: {
    root?: string;
  };
  swap?: {
    Unnamed?: ReactNode;
    Unnamed2?: ReactNode;
    Unnamed3?: ReactNode;
  };
  hide?: {
    Unnamed?: boolean;
  };
  text?: {
    Unnamed?: ReactNode;
    Unnamed2?: ReactNode;
  };
}
/* @figmaId 5526:23525 */
export const _4: FC<Props> = memo(function _4(props = {}) {
  return (
    <div
      className={`${resets.storybrainResets} ${props.classes?.root || ""} ${
        props.className || ""
      } ${classes.root}`}
    >
      <div className={classes.unnamed}>
        <div className={classes.unnamed2}>
          {props.swap?.unnamed || <Icon className={classes.icon} />}
        </div>
        <div className={classes.unnamed3}>
          {props.swap?.unnamed2 || <Icon2 className={classes.icon2} />}
        </div>
        <div className={classes.unnamed4}>
          {props.swap?.unnamed3 || <Icon3 className={classes.icon3} />}
        </div>
      </div>
      <div className={classes.unnamed5}>
        {props.text?.unnamed != null ? (
          props.text?.unnamed
        ) : (
          <div className={classes.unnamed6}>标题</div>
        )}
      </div>
      {!props.hide?.unnamed &&
        (props.text?.unnamed2 != null ? (
          props.text?.unnamed2
        ) : (
          <div className={classes.unnamed7}>描述内容</div>
        ))}
    </div>
  );
});
