import { memo } from "react";
import type { FC, ReactNode } from "react";

import resets from "../../_resets.module.css";
import classes from "./_5.module.css";
import { Icon2 } from "./Icon2.js";
import { Icon } from "./Icon.js";

interface Props {
  className?: string;
  classes?: {
    root?: string;
  };
  swap?: {
    Unnamed?: ReactNode;
    Unnamed2?: ReactNode;
  };
  hide?: {
    Unnamed?: boolean;
  };
  text?: {
    Unnamed?: ReactNode;
  };
}
/* @figmaId 5526:23477 */
export const _5: FC<Props> = memo(function _5(props = {}) {
  return (
    <div
      className={`${resets.storybrainResets} ${props.classes?.root || ""} ${
        props.className || ""
      } ${classes.root}`}
    >
      <div className={classes.unnamed}>
        <div className={classes.unnamed2}>
          {props.swap?.unnamed || <Icon className={classes.icon} />}
        </div>
        <div className={classes.unnamed3}>
          {props.swap?.unnamed2 || <Icon2 className={classes.icon2} />}
        </div>
      </div>
      <div className={classes.unnamed4}>
        {props.text?.unnamed != null ? (
          props.text?.unnamed
        ) : (
          <div className={classes.unnamed5}>标题</div>
        )}
      </div>
      {!props.hide?.unnamed && <div className={classes.unnamed6}>描述内容</div>}
    </div>
  );
});
