import { memo } from "react";
import type { FC, ReactNode } from "react";

import resets from "../../_resets.module.css";
import { Unnamed4 } from "../unnamed4/unnamed4";
import classes from "./_Fill.module.css";

interface Props {
  className?: string;
  classes?: {
    root?: string;
  };
  text?: {
    text?: ReactNode;
  };
}
/* @figmaId 5403:1979 */
export const _Fill: FC<Props> = memo(function _Fill(props = {}) {
  return (
    <div
      className={`${resets.storybrainResets} ${props.classes?.root || ""} ${
        props.className || ""
      } ${classes.root}`}
    >
      <Unnamed4
        className={classes.unnamed}
        text={{
          text: props.text?.text || <div className={classes.text}>选择器</div>,
        }}
      />
    </div>
  );
});
