import { memo } from 'react';
import type { FC, ReactNode } from 'react';

import resets from '../../_resets.module.css';
import { Checkbox_Property1WithoutLabel } from '../Checkbox_Property1WithoutLabel/Checkbox_Property1WithoutLabel';
import { Keyboard_arrow_down } from '../Keyboard_arrow_down/Keyboard_arrow_down';
import { Point } from '../Point/Point';
import classes from './_OffRegular.module.css';
import { Ellipse1Icon } from './Ellipse1Icon.js';

interface Props {
  className?: string;
  hide?: {
    point?: boolean;
  };
  text?: {
    normal?: ReactNode;
  };
}
/* @figmaId 5401:45189 */
export const _OffRegular: FC<Props> = memo(function _OffRegular(props = {}) {
  return (
    <div className={`${resets.storybrainResets} ${classes.root}`}>
      <div className={classes.frame681}>
        <div className={classes.frame680}>
          {props.text?.normal != null ? props.text?.normal : <div className={classes.normal}>item</div>}
        </div>
        {!props.hide?.point && (
          <Point
            className={classes.point}
            swap={{
              ellipse1: <Ellipse1Icon className={classes.icon} />,
            }}
          />
        )}
      </div>
    </div>
  );
});
