import { memo } from 'react';
import type { FC, ReactNode } from 'react';

import resets from '../../_resets.module.css';
import classes from './_Property1.module.css';

interface Props {
  className?: string;
  classes?: {
    square?: string;
  };
  text?: {
    label?: ReactNode;
  };
}
/* @figmaId 5407:6003 */
export const _Property1: FC<Props> = memo(function _Property1(props = {}) {
  return (
    <div className={`${resets.storybrainResets} ${classes.root}`}>
      <div className={classes.LegendSymbol}>
        <div className={`${props.classes?.square || ''} ${classes.square}`}></div>
        {props.text?.label != null ? props.text?.label : <div className={classes.label}>Label</div>}
      </div>
    </div>
  );
});
