import { memo } from "react";
import type { FC, ReactNode } from "react";

import resets from "../../_resets.module.css";
import classes from "./unnamed2.module.css";
import { Vector12StrokeIcon } from "./Vector12StrokeIcon.js";

interface Props {
  className?: string;
  classes?: {
    root?: string;
  };
  swap?: {
    vector12Stroke?: ReactNode;
  };
}
/* @figmaId 5413:5920 */
export const Unnamed2: FC<Props> = memo(function Unnamed2(props = {}) {
  return (
    <div
      className={`${resets.storybrainResets} ${props.classes?.root || ""} ${
        props.className || ""
      } ${classes.root}`}
    >
      <div className={classes.vector12Stroke}>
        {props.swap?.vector12Stroke || (
          <Vector12StrokeIcon className={classes.icon} />
        )}
      </div>
    </div>
  );
});
