import { memo } from "react";
import type { FC, ReactNode } from "react";

import resets from "../../_resets.module.css";
import { Frame3 } from "../Frame3/Frame3";
import { Unnamed5 } from "../unnamed5/unnamed5";
import classes from "./unnamed4.module.css";
import { VectorStrokeIcon } from "./VectorStrokeIcon.js";

interface Props {
  className?: string;
  classes?: {
    root?: string;
  };
  text?: {
    text?: ReactNode;
  };
}
/* @figmaId 5403:1914 */
export const Unnamed4: FC<Props> = memo(function Unnamed4(props = {}) {
  return (
    <div
      className={`${resets.storybrainResets} ${props.classes?.root || ""} ${
        props.className || ""
      } ${classes.root}`}
    >
      <div className={classes.unnamed}>
        {props.text?.text != null ? (
          props.text?.text
        ) : (
          <div className={classes.text}>选择器</div>
        )}
        <Unnamed5
          className={classes.Icon}
          swap={{
            vectorStroke: <VectorStrokeIcon className={classes.icon} />,
          }}
        />
      </div>
    </div>
  );
});
