import { memo } from "react";
import type { FC } from "react";

import resets from "../../_resets.module.css";
import { Frame3 } from "../Frame3/Frame3";
import { Unnamed7 } from "../unnamed7/unnamed7";
import classes from "./unnamed6.module.css";
import { VectorStrokeIcon2 } from "./VectorStrokeIcon2.js";
import { VectorStrokeIcon } from "./VectorStrokeIcon.js";

interface Props {
  className?: string;
  classes?: {
    root?: string;
  };
}
/* @figmaId 5638:7181 */
export const Unnamed6: FC<Props> = memo(function Unnamed6(props = {}) {
  return (
    <div
      className={`${resets.storybrainResets} ${props.classes?.root || ""} ${
        props.className || ""
      } ${classes.root}`}
    >
      <div className={classes.text}>搜索</div>
      <Unnamed7
        className={classes.unnamed}
        swap={{
          vectorStroke: <VectorStrokeIcon className={classes.icon} />,
          vectorStroke2: <VectorStrokeIcon2 className={classes.icon2} />,
        }}
      />
    </div>
  );
});
