import { memo } from "react";
import type { FC, ReactNode } from "react";

import resets from "../../_resets.module.css";
import classes from "./unnamed7.module.css";
import { VectorStrokeIcon2 } from "./VectorStrokeIcon2.js";
import { VectorStrokeIcon } from "./VectorStrokeIcon.js";

interface Props {
  className?: string;
  classes?: {
    root?: string;
  };
  swap?: {
    vectorStroke?: ReactNode;
    vectorStroke2?: ReactNode;
  };
}
/* @figmaId 5403:2344 */
export const Unnamed7: FC<Props> = memo(function Unnamed7(props = {}) {
  return (
    <div
      className={`${resets.storybrainResets} ${props.classes?.root || ""} ${
        props.className || ""
      } ${classes.root}`}
    >
      <div className={classes.vectorStroke}>
        {props.swap?.vectorStroke || (
          <VectorStrokeIcon className={classes.icon} />
        )}
      </div>
      <div className={classes.vectorStroke2}>
        {props.swap?.vectorStroke2 || (
          <VectorStrokeIcon2 className={classes.icon2} />
        )}
      </div>
    </div>
  );
});
